LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (https://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   modprobe command with alsa (https://www.linuxquestions.org/questions/linux-newbie-8/modprobe-command-with-alsa-84996/)

drumpriest 08-23-2003 07:13 PM

modprobe command with alsa
 
I just had to reinstall the alsa drivers since I updated to the latest linux kernel (2.4.20-20.9). I'm using RH9.0. Everything went fine until I tried to add the modules to the kernel using the modprobe command. Here is the result:

[root@bgp01135308bgs alsa-utils-0.9.6]# modprobe snd-es18xx;modprobe snd-pcm-oss;modprobe snd-mixer-oss;modprobe snd-seq-oss
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o: kernel-module version mismatch
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o was compiled for kernel version 2.4.20-19.9
while this kernel is version 2.4.20-20.9.
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o: insmod /lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o failed
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o: insmod snd-es18xx failed
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o: kernel-module version mismatch
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o was compiled for kernel version 2.4.20-19.9
while this kernel is version 2.4.20-20.9.
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o: insmod /lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o failed
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o: insmod snd-pcm-oss failed
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o: kernel-module version mismatch
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o was compiled for kernel version 2.4.20-19.9
while this kernel is version 2.4.20-20.9.
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o: insmod /lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o failed
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o: insmod snd-mixer-oss failed
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o: kernel-module version mismatch
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o was compiled for kernel version 2.4.20-19.9
while this kernel is version 2.4.20-20.9.
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o: insmod /lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o failed
/lib/modules/2.4.20-20.9/kernel/sound/acore/snd.o: insmod snd-seq-oss failed

Apparently, it didn't like the fact that the modules were originally compiled for the original kernel 2.4.20-19.9. Is there a way around this??

Thanks in advance for any help!

maroonbaboon 08-23-2003 08:38 PM

The modules have to match the kernel version. If you are compiling your own kernel from source, you typically have to then recompile alsa for compatibility. If you are using RPMs the following explains in more detail:

http://freshrpms.net/docs/alsa/

Basically you need alsa RPMs to match your kernel. You might find these on the same site.


All times are GMT -5. The time now is 06:27 PM.